Bug 174664 - [UPDATE] shells/mksh to R41
Summary: [UPDATE] shells/mksh to R41
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-23 22:20 UTC by Olivier Duchateau
Modified: 2013-02-01 03:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.39 KB, patch)
2012-12-23 22:20 UTC, Olivier Duchateau
no flags Details | Diff
mksh.diff (1.92 KB, patch)
2012-12-24 00:01 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2012-12-23 22:20:00 UTC
- Update to R41
- Trim Makefile header

ChangeLog: https://www.mirbsd.org/mksh.htm#r41

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-23 22:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olivier Duchateau 2012-12-24 00:01:40 UTC
Enhance previous patch.

- Convert to OptionsNG

-- 
olivier
Comment 3 dfilter service freebsd_committer 2013-02-01 03:21:16 UTC
Author: miwi
Date: Fri Feb  1 03:21:03 2013
New Revision: 311350
URL: http://svnweb.freebsd.org/changeset/ports/311350

Log:
  - Update to R41
  - Convert header
  
  PR:		174664
  Submitted by:	Olivier Duchateau <duchateau.olivier@gmail.com>

Modified:
  head/shells/mksh/Makefile   (contents, props changed)
  head/shells/mksh/distinfo   (contents, props changed)

Modified: head/shells/mksh/Makefile
==============================================================================
--- head/shells/mksh/Makefile	Fri Feb  1 03:17:46 2013	(r311349)
+++ head/shells/mksh/Makefile	Fri Feb  1 03:21:03 2013	(r311350)
@@ -1,16 +1,12 @@
-# Ports collection makefile for:	mksh
-# Date created:				2006-06-24
-# Whom:					Andreas Kohn <andreas@syndrom23.de>
-#
+# Created by: Andreas Kohn <andreas@syndrom23.de>
 # $FreeBSD$
-#
 
 PORTNAME=	mksh
-DISTVERSION=	R40f
+DISTVERSION=	R41
 CATEGORIES=	shells
 MASTER_SITES=	http://www.mirbsd.org/MirOS/dist/mir/mksh/ \
 		http://pub.allbsd.org/MirOS/dist/mir/mksh/
-DISTFILES=	${PORTNAME}-${DISTVERSION}.cpio.gz
+DISTFILES=	${PORTNAME}-${DISTVERSION}.tgz
 
 MAINTAINER=	miwi@FreeBSD.org
 COMMENT=	A MirBSD enhanced shell based on pdksh
@@ -21,11 +17,6 @@ MAN1=		mksh.1
 
 .include <bsd.port.pre.mk>
 
-do-extract:
-	${MKDIR} ${WRKDIR}
-	cd ${WRKDIR} && \
-	${GZCAT} ${DISTDIR}/${DISTFILES} | ${CPIO} -id
-
 do-build:
 	cd ${WRKSRC} && CFLAGS="${CFLAGS}" CC="${CC}" LDFLAGS="${LDFLAGS}" CPPFLAGS="${CPPFLAGS}" SHELL=${SH} ${SH} ${WRKSRC}/Build.sh -r -c lto
 

Modified: head/shells/mksh/distinfo
==============================================================================
--- head/shells/mksh/distinfo	Fri Feb  1 03:17:46 2013	(r311349)
+++ head/shells/mksh/distinfo	Fri Feb  1 03:21:03 2013	(r311350)
@@ -1,2 +1,2 @@
-SHA256 (mksh-R40f.cpio.gz) = d8657102f3e9f0c432388f1c820821ebe0eee442739604293488e6266c298762
-SIZE (mksh-R40f.cpio.gz) = 331196
+SHA256 (mksh-R41.tgz) = 32522287a9d4daad176dc97d420000a07c0947fdbc853004fc84f02dbdd87c91
+SIZE (mksh-R41.tgz) = 341489
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2013-02-01 03:21:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!